> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/collection-applications
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/collection-applications:
    post:
      tags:
        - Collection Applications
      summary: Apply
      operationId: CollectionApplicationsController_apply_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: projectId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplyCollectionApplicationDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionApplicationResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ApplyCollectionApplicationDto:
      type: object
      properties:
        requestKey:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        initialArea:
          type: object
          properties:
            areaId:
              type: string
              pattern: ^[1-9]\d*$
            structureVersion:
              type: integer
              exclusiveMinimum: 0
              maximum: 9007199254740991
          required:
            - areaId
            - structureVersion
          additionalProperties: false
        collectionId:
          type: string
          pattern: ^[1-9]\d*$
        collectionGeneration:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        collectionVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        selections:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: object
            properties:
              entryId:
                type: string
                pattern: ^[1-9]\d*$
              referenceItemId:
                type: string
                pattern: ^[1-9]\d*$
              quantity:
                type: string
                pattern: ^(?!0+(?:\.0{1,2})?$)\d{1,16}(?:\.\d{1,2})?$
            required:
              - entryId
              - referenceItemId
            additionalProperties: false
      required:
        - requestKey
        - collectionId
        - collectionGeneration
        - collectionVersion
        - selections
      additionalProperties: false
    CollectionApplicationResponseDto:
      type: object
      properties:
        application:
          $ref: '#/components/schemas/CollectionApplicationResultDto'
      required:
        - application
    CollectionApplicationResultDto:
      type: object
      properties:
        created:
          maxItems: 100
          type: array
          items:
            $ref: '#/components/schemas/CollectionApplicationCreatedDto'
        applicationId:
          type: string
        requestKey:
          type: string
        collectionId:
          type: string
        collectionGeneration:
          type: number
        collectionVersion:
          type: number
        createdAt:
          type: string
        addedCount:
          type: number
        slotIds:
          type: array
          items:
            type: string
      required:
        - created
        - applicationId
        - requestKey
        - collectionId
        - collectionGeneration
        - collectionVersion
        - createdAt
        - addedCount
        - slotIds
    CollectionApplicationCreatedDto:
      type: object
      properties:
        applicationLineId:
          type: string
        slotId:
          type: string
        primaryProjectItemId:
          type: string
        slotPosition:
          type: number
        entryId:
          type: string
        referenceItemId:
          type: string
          nullable: true
      required:
        - applicationLineId
        - slotId
        - primaryProjectItemId
        - slotPosition
        - entryId
        - referenceItemId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````